FROM rust:1.19 as compile

WORKDIR /build

COPY . .
RUN cargo build --release

FROM gcr.io/distroless/static-debian12

WORKDIR /app

COPY --from=compile /build/target/release/iwakura-web /bin/server
COPY --from=compile /build/assets /app/assets
CMD ["/bin/server"]
